MarkupBuilderHelper (Groovy 5.1.0)

Package: groovy.xml

## [Java] Class MarkupBuilderHelper

- groovy.xml.MarkupBuilderHelper

-     public class MarkupBuilderHelper
      extends Object

  A helper class for MarkupBuilder.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MarkupBuilderHelper(MarkupBuilder builder)` Parameters: `builder` - the builder to delegate to

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `comment(String value)` Produce a comment in the output.
    `` | `public void` | `pi(Map<String, Map<String, Object>> args)` Produce an XML processing instruction in the output.
    `` | `public void` | `xmlDeclaration(Map<String, Object> args)` Produce an XML declaration in the output.
    `` | `public void` | `yield(Object value)` Prints data in the body of the current tag, escaping XML entities.
    `` | `public void` | `yield(String value)` Prints data in the body of the current tag, escaping XML entities.
    `` | `public void` | `yieldUnescaped(Object value)` Print data in the body of the current tag.
    `` | `public void` | `yieldUnescaped(String value)` Print data in the body of the current tag.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public MarkupBuilderHelper(MarkupBuilder builder)

      Parameters:
        `builder` - the builder to delegate to

  - ### Method Detail

    - #### public void comment(String value)

      Produce a comment in the output.

      `mkp.comment 'string'` is equivalent to `mkp.yieldUnescaped '<!-- string -->'`. To create an element with the name 'comment', you need to supply empty attributes, e.g.:

           comment('hello1')

      or

           mkp.comment('hello1')

      will produce:

           <!-- hello1 -->

      while:

           comment('hello2', [:])

      will produce:

           <comment>hello2</comment>

      Parameters:
        `value` - the text within the comment.

    - #### public void pi(Map<String, Map<String, Object>> args)

      Produce an XML processing instruction in the output. For example:

           mkp.pi("xml-stylesheet":[href:"mystyle.css", type:"text/css"])

      Parameters:
        `args` - a map with a single entry whose key is the name of the processing instruction and whose value is the attributes for the processing instruction.

    - #### public void xmlDeclaration(Map<String, Object> args)

      Produce an XML declaration in the output. For example:

           mkp.xmlDeclaration(version:'1.0')

      Parameters:
        `args` - the attributes for the declaration

    - #### public void yield(Object value)

      Prints data in the body of the current tag, escaping XML entities. For example: `mkp.yield('5 < 7')`

      Parameters:
        `value` - an Object whose toString() representation is to be printed

    - #### public void yield(String value)

      Prints data in the body of the current tag, escaping XML entities. For example: `mkp.yield('5 < 7')`

      Parameters:
        `value` - text to print

    - #### public void yieldUnescaped(Object value)

      Print data in the body of the current tag. Does not escape XML entities. For example: `mkp.yieldUnescaped('I am <i>happy</i>!')`.

      Parameters:
        `value` - an Object whose toString() representation is to be printed

    - #### public void yieldUnescaped(String value)

      Print data in the body of the current tag. Does not escape XML entities. For example: `mkp.yieldUnescaped('I am <i>happy</i>!')`.

      Parameters:
        `value` - the text or markup to print.